%define anolis_release 1
Name:           publicsuffix-list
Version:        20221208
Release:        %{anolis_release}%{?dist}
Summary:        Cross-vendor public domain suffix database

License:        MPLv2.0
URL:            https://publicsuffix.org/
Source0:        https://publicsuffix.org/list/public_suffix_list.dat
Source1:        https://www.mozilla.org/media/MPL/2.0/index.txt
Source2:        https://github.com/publicsuffix/list/raw/master/tests/test_psl.txt

BuildArch:      noarch

BuildRequires:  psl-make-dafsa

%description
The Public Suffix List is a cross-vendor initiative to provide
an accurate list of domain name suffixes, maintained by the hard work
of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where
cookies may and may not be set, protecting the user from being
tracked across sites.

%package dafsa
Summary:        Cross-vendor public domain suffix database in DAFSA form

%description dafsa
The Public Suffix List is a cross-vendor initiative to provide
an accurate list of domain name suffixes, maintained by the hard work
of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where
cookies may and may not be set, protecting the user from being
tracked across sites.

This package includes a DAFSA representation of the Public Suffix List
for runtime loading.

%prep
%setup -c -T
cp -av %{SOURCE0} .
install -m 644 -p -v %{SOURCE1} COPYING

%build
LC_CTYPE=C.UTF-8 \
psl-make-dafsa --output-format=binary \
  public_suffix_list.dat public_suffix_list.dafsa


%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/publicsuffix/
install -m644 -p public_suffix_list.dafsa %{SOURCE0} %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/publicsuffix/
ln -s public_suffix_list.dat $RPM_BUILD_ROOT/%{_datadir}/publicsuffix/effective_tld_names.dat

%files
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/effective_tld_names.dat
%{_datadir}/publicsuffix/public_suffix_list.dat
%{_datadir}/publicsuffix/test_psl.txt

%files dafsa
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/public_suffix_list.dafsa


%changelog
* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 20221208-1
- New data snapshot 20221208

* Wed Mar 9 2022 forrest_ly <flin@linux.alibaba.com> - 20220309-1 
- Init for Anolis OS 23 
